Taslak Çokgen

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Polygon and the translation is 80% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Ellipse.svg Ellipse
Next: Rectangle Draft Rectangle.svg Arrow-right.svg

Draft Polygon.svg Çokgen

Menü konumu
Taslak → Çokgen
Tezgahlar
Taslak, Mimari
Varsayılan kısayol
P G
Versiyonda tanıtıldı
0.17
Ayrıca bkz
Çember


Açıklama

Çokgen aracı, merkez ve yarıçapı olmak üzere iki nokta toplayarak bir çevreye yerleştirilmiş düzenli bir çokgen oluşturur. Draft Tray 'de ayarlanan Çizgi stili alır.

Draft polygon example.jpg

Merkez nokta ve yarıçap tarafından tanımlanan normal çokgen


Nasıl kullanılır

  1. Draft Polygon.png Çokgen düğmesine veya P ve G tuşlarına basın.
  2. Seçenekler diyalog penceresinde istediğiniz kenar sayısını ayarlayın.
  3. 3D görünümde bir ilk noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta ekle düğmesine basın.
  4. 3D görünümünde başka bir noktaya tıklayın veya poligon yarıçapını tanımlamak için bir yarıçap değeri yazın.

Çokgen, ağaç görünümündeki öğeye çift tıklayarak veya Draft Edit.svg Düzenle düğmesine basılarak düzenlenebilir. Ardından merkez ve yarıçap noktalarını yeni bir konuma getirebilirsiniz.

Çokgen, yarıçapı belirtilen bir dairede oluşturulmuştur; çizme modu özelliğini değiştirerek oluşturulduktan sonra sınırlandırılabilir.

Çokgenin kenarlarının sayısı, oluşturulduktan sonra yüz sayısı özelliği değiştirilebilir.

Seçenekler

  • Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında Enter tuşuna basın. Noktayı yerleştirmek istediğiniz değerleri aldığınızda Draft AddPoint.svg Nokta ekle düğmesine basabilirsiniz.
  • Devam moduna geçmek için T tuşuna basın veya onay kutusunu tıklayın. Devam modu açıksa, Çokgen aracı işlemi tamamladıktan sonra yeniden başlatılır ve araç düğmesine tekrar basmadan bir tane daha çizmenize olanak sağlar.
  • Dolu moduna geçmek için L tuşuna basın veya onay kutusunu tıklayın. Dolgu modu açıksa, çokgen dolgulu bir yüz oluşturur (DATA Make Face True); değilse, çokgen bir yüz oluşturmayacak (DATA Make Face False).
  • Yakalama noktanızı mesafeden bağımsız olarak, en yakın çeki konumuna yönlendirmek için çizim yaparken Ctrl tuşunu basılı tutun.
  • İlk noktanıza göre ikinci noktanızı yatay veya dikey olarak Kısıtlama çizerken Shift tuşunu basılı tutun.
  • Geçerli komutu iptal etmek için Esc veya Close düğmesine basınız.

Özellikler

Veri

  • VERİRadius: Çokgeni tanımlayan dairenin yarıçapını belirtir.
  • VERİDraw Mode: Çokgenin bir daire içine mi yazıldığını yoksa bir daire içine mi yazıldığını belirtir.
  • VERİFaces Number: Çokgenin kenar sayısını belirtir.
  • VERİChamfer Size: Çokgenin köşelerinde oluşturulan olukların (düz bölümler) boyutunu belirtir.
  • VERİFillet Radius: Çokgenin köşelerinde oluşturulan filetoların (yay parçaları) yarıçapını belirtir.
  • VERİMake Face: şeklin bir yüz yapıp yapmamasını belirtir. Eğer True ise bir yüz yaratılır, aksi takdirde sadece çevre nesnenin bir parçası olarak kabul edilir.

Görünüm

  • GÖRÜNÜMPattern: Çokgenin yüzünü doldurmak için bir Taslak Deseni belirtir. Bu özellik yalnızca VERİMake Face True ise ve GÖRÜNÜMDisplay Mode "Düz Çizgiler" ise çalışır.
  • GÖRÜNÜMPattern Size: Desen 'nin boyutunu belirtir.

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Çokgen aracı, aşağıdaki işlevi kullanarak makrolar ve Python konsolundan kullanılabilir:

Polygon = makePolygon(nfaces, radius=1, inscribed=True, placement=None, face=None, support=None)
  • Belirtilen yüz sayısıyla ( nfaces) bir Polygon nesnesi oluşturur ve milimetre cinsinden bir radius dairesine dayanır.
  • Eğer inscribed True ise, çokgen daireye yazılır, aksi takdirde sınırlandırılır.
    • Başka bir yerleştirme yapılmazsa, çokgenin köşelerinden biri X ekseninde uzanır.
  • Bir placement verilirse kullanılır; Aksi halde, şekil başlangıçta oluşturulur.
  • face True ise, şekil bir yüz yapacaktır, yani dolu görünecektir.

Örnek:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(4, radius=500)
Polygon2 = Draft.makePolygon(5, radius=750)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Polygon3 = Draft.makePolygon(6, radius=1450, placement=place3)